com.sun.grid.jgdi.configuration

## Interface Hostgroup

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    HostgroupImpl

      public interface Hostgroup
      extends GEObject

  Java representation of the cull object HGRP_Type defined in sge_all_listsL.template

  Warning: The Hostgroup class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(java.lang.String ahost)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getHost(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHostCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHostList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetHost()` Determine if any host attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `void` | `removeAllHost()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeHost(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHost(java.lang.String ahost)` Remote a specific java.lang.String attribute.
    `void` | `setHost(int index, java.lang.String ahost)` Set a java.lang.String attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### getHostList

          java.util.List<java.lang.String> getHostList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHostCount

          int getHostCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getHost

          java.lang.String getHost(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addHost

          void addHost(java.lang.String ahost)

      Add a java.lang.String attribute.
      Parameters:
        `ahost` - the new java.lang.String attribute

    - #### setHost

          void setHost(int index,
                       java.lang.String ahost)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahost` - the new java.lang.String attribute

    - #### removeAllHost

          void removeAllHost()

      Remove all java.lang.String attributes.

    - #### removeHost

          java.lang.String removeHost(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHost

          boolean removeHost(java.lang.String ahost)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ahost` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetHost

          boolean isSetHost()

      Determine if any host attribute is set
      Returns:
        `true` if the host attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.